LIBREOFFICE 6.1.3 IN DEEPIN AND ITS BEAUTIFUL HUMMINGBIRT THEME

Tested on Libreoffice6.1.3

We have recently incorporated into our Deepines repository the new version of Libreoffice, the most popular office suite on GNU / Linux. To install it, you must first add the repository to your system Deepines: Click here to install it.

Then you must open a terminal and run sudo apt update. Finally you will be able to install the new version of the suite, invoking the meta package that we have created for this purpose. This in turn will install the application in the language of your system, together with the help and the corresponding dictionaries. In this case, in deepines, we support English, Portuguese, Pt-Brazil and of course Spanish. To install it on your computer, run the following command after following the steps described above:

sudo apt update && sudo apt install libreoffice-latest

topic Colibre

LibreOffice in its version 6.1 implemented a theme called Colibre, it was developed by Andreas Kainz and is inspired by the theme ofmsoffice2013. Colibre comes as a default theme when installing LO on Windows but the same does not happen in the version for Linux.

Setting Colibre as default theme:

  • First we open any LibreOffice application, in this case we will open Writer.
  • Now we go to the Menu of Tools and we scroll down to the sub-menu Options.
  • In the pop-up window, I go to the View section.
  • In this section we seek Style iconswe unfold the bottom box and change Breeze to ColibreAnd give OK.
  • Automatically or in some cases closing and reopening the application, a different aesthetic is achieved.

Note: On this occasion, we have decided not to promote a direct update from Deepines to the version carried by Deepin in its repositories, to give you the possibility to choose between keeping the stable version offered in the store or installing the latest one published by the Libreoffice developers.

5 2 votes
Rate the Article
 
Subscribe
Report of
17 Reacciones
More popular
Newer Older
Opinion from the article
See all comments
Bruno Gama
Bruno Gama (@brunnogama)
2 años atrás

Obrigado, mas é uma pena o Libreoffice 6.1.3 does not support HiDPI. : /

Эли
Эли (@eli)
Admin
Respondiendo a  Bruno Gama
2 años atrás

This is the same situation as you, you tell me what, you will install the version «Snap«, It supports HiDPI, but your cursor seemed small.

Incidentally excellent subject and excellent article Car.

Bruno Gama
Bruno Gama (@brunnogama)
Respondiendo a  Car
2 años atrás

You are using version 6.04.2 and it supports HiDPI, I do not know that it changes to new it does not support.

Vidantus
Vidantus (@vidantus)
2 años atrás

A big greeting to the entire Deepin Spanish community. Little or nothing to say about this excellent suite that is free office, I have version 6.1.2 installed and I had already activated this fantastic theme that you recommend so correctly. If I propose something to you, every time I have to update the suite to a more recent version, it is impossible for me to do it as an update, I always have to uninstall it and install the new version. Now that you are inside the community repository, would it be possible for the different versions to be updated automatically? it would be great not to have to go around uninstalling and reinstalling.
Thank you all and a strong and warm hug for the entire community, from the plains of La Mancha, Spain.

Vidantus
Vidantus (@vidantus)
Respondiendo a  Vidantus
2 años atrás

This time I answer myself, because I have found the solution quickly; And so by the way if I can help someone well, this time to update it it has been enough to update the deepines repositories and it has automatically been updated to the new version.

Thanks to the Deepin Spanish team for the great opportunity it offers us through its repository, to get the best updated software, thanks for your effort and work.

A big hug!!!

Jonathan Flores
Jonathan Flores (@jonathanflores)
2 años atrás

I indicates the following
~ $ sudo apt install libreoffice6.1.3
Reading package lists ... Done
Building dependency tree
Reading state information ... Done
E: The libreoffice6.1.3 package could not be located
E: No package could be found using "*" with "libreoffice6.1.3"
E: No package could be found with regular expression "libreoffice6.1.3"

Jonathan Flores
Jonathan Flores (@jonathanflores)
Respondiendo a  Car
2 años atrás

Thank you. Reinstall the repo and update as you indicated and you are already installing

Luis Zapana
Luis Zapana (@luiszapana)
2 años atrás

Thank you!!

elurogayo
elurogayo (@elurogayo)
2 años atrás

Good afternoon everyone. I had version 1: 6.0.4.1 installed and I proceeded to install version 6.1.5.2. Seeing that it did not appear as an update, but as a separate installation, I have uninstalled the previous one in case there were conflicts with both installed versions. But, I find that the new version does not appear in the Deepin Launcher. Version 6.1.5.2 is installed in "/ opt", in "/ usr / share / applications" are the ".desktop" files of all the applications in the suite and in "/ usr / bin" is "libreoffice6.1 »That points to« /opt/libreoffice6.1/program/soffice », but I have not been able to find how to get them to show up in the« Launcher »of Deepin applications.

I appreciate in advance your help.

elurogayo
elurogayo (@elurogayo)
2 años atrás

Continuation:

I don't know how the «Launcher» works, if by means of link files like «.desktop» in a folder or a single file that contains the applications shown, or where they are located in the system, but of course, somewhere it will be configured what it shows and the categories with which it shows them. There is no magic in computing!

Thanks

elurogayo
elurogayo (@elurogayo)
Respondiendo a  Car
2 años atrás

Thanks for your help. After the query we dealt with, I had to close the computer and then open it again, and the icons will appear in the launcher menu in the «Office Automation» category. But now there is another incongruity ... all are shown except for LibreOffice 6.1 Draw! I have edited the ".desktop" files and they are all correct. If you knew which is the file where the links shown in the Launcher Menu are configured, you could fix it.

ariel campos
ariel campos (@arielcampos)
1 año atrás

Very grateful for the contribution. There are ubuntu ppas that do not work with deepin, so deepinenespañol is a great help.Thank you!

17
0
We would like to know what you think, join the discussion.x
()
x